library(readstata13)
anes <- read.dta13("./100_data/anes_timeseries_cdf.dta", convert.factors = F)

# Weight
anes$weight <- NA
anes$weight <- anes$VCF0009x

# Mode
anes$web <- NA
anes$web[which(anes$VCF0017 == 4)] <- 1
anes$web[which(anes$VCF0017 != 4)] <- 0

# Year
anes$year <- NA
anes$year <- anes$VCF0004

#---Demographics----
# Race
anes$white <- ifelse(anes$VCF0105a == 1, 1, 0)
anes$white[which(anes$VCF0105a == 9)] <- NA

## South
anes$south <- NA
anes$south <- ifelse(anes$VCF0113==1, 1, 0)

## Female
anes$fem <- NA
anes$fem <- ifelse(anes$VCF0104 == 2, 1, 0)

## Income
anes$inc <- NA
anes$inc[which(anes$VCF0114 > 0)] <- anes$VCF0114[which(anes$VCF0114 > 0)]
anes$inc_sc <- (anes$inc-1)/4

## Age
anes$age <- NA
anes$age[which(anes$VCF0101 > 0)] <- anes$VCF0101[which(anes$VCF0101 > 0)]
anes$age_sc <- (anes$age-17)/82

## Education
anes$col <- ifelse(anes$VCF0110 == 4, 1, 0)
anes$col[which(anes$VCF0110 == 0)] <- NA

#---Political Variables----
# PID
anes$pid7 <- NA
anes$pid7[which(anes$VCF0301 == 1)] <- 1
anes$pid7[which(anes$VCF0301 == 2)] <- 2
anes$pid7[which(anes$VCF0301 == 3)] <- 3
anes$pid7[which(anes$VCF0301 == 4)] <- 4
anes$pid7[which(anes$VCF0301 == 5)] <- 5
anes$pid7[which(anes$VCF0301 == 6)] <- 6
anes$pid7[which(anes$VCF0301 == 7)] <- 7
anes$pid7_sc <- (anes$pid7-1)/6

anes$pid3 <- NA
anes$pid3[which(anes$VCF0303 == 3)] <- 1
anes$pid3[which(anes$VCF0303 == 2)] <- 0
anes$pid3[which(anes$VCF0303 == 1)] <- -1

anes$rep <- NA
anes$rep[which(anes$VCF0303 == 3)] <- 1
anes$rep[which(anes$VCF0303 == 1)] <- 0

# Ideo
anes$ideo <- NA
anes$ideo[which(anes$VCF0803 == 1)] <- 1
anes$ideo[which(anes$VCF0803 == 2)] <- 2
anes$ideo[which(anes$VCF0803 == 3)] <- 3
anes$ideo[which(anes$VCF0803 == 4 | anes$VCF0803 == 9)] <- 4
anes$ideo[which(anes$VCF0803 == 5)] <- 5
anes$ideo[which(anes$VCF0803 == 6)] <- 6
anes$ideo[which(anes$VCF0803 == 7)] <- 7
anes$ideo_sc <- (anes$ideo-1)/6

# Vote Choice
anes$rep_2pvote <- NA
anes$rep_2pvote[which(anes$VCF0704 == 2)] <- 100
anes$rep_2pvote[which(anes$VCF0704 == 1)] <- 0

#---Racial Resentment----
anes$pdisc <- NA
anes$pdisc[which(anes$VCF9039 == 1)] <- 1
anes$pdisc[which(anes$VCF9039 == 2)] <- 2
anes$pdisc[which(anes$VCF9039 == 3)] <- 3
anes$pdisc[which(anes$VCF9039 == 4)] <- 4
anes$pdisc[which(anes$VCF9039 == 5)] <- 5
anes$pdisc[which(anes$VCF9039 == 8)] <- 3
anes$specfavr <- NA
anes$specfavr[which(anes$VCF9040 == 1)] <- 5
anes$specfavr[which(anes$VCF9040 == 2)] <- 4
anes$specfavr[which(anes$VCF9040 == 3)] <- 3
anes$specfavr[which(anes$VCF9040 == 4)] <- 2
anes$specfavr[which(anes$VCF9040 == 5)] <- 1
anes$specfavr[which(anes$VCF9040 == 8)] <- 3
anes$thard <- NA
anes$thard[which(anes$VCF9041 == 1)] <- 5
anes$thard[which(anes$VCF9041 == 2)] <- 4
anes$thard[which(anes$VCF9041 == 3)] <- 3
anes$thard[which(anes$VCF9041 == 4)] <- 2
anes$thard[which(anes$VCF9041 == 5)] <- 1
anes$thard[which(anes$VCF9041 == 8)] <- 3
anes$dless <- NA
anes$dless[which(anes$VCF9042 == 1)] <- 1
anes$dless[which(anes$VCF9042 == 2)] <- 2
anes$dless[which(anes$VCF9042 == 3)] <- 3
anes$dless[which(anes$VCF9042 == 4)] <- 4
anes$dless[which(anes$VCF9042 == 5)] <- 5
anes$dless[which(anes$VCF9042 == 8)] <- 3
anes$rr <- (anes$pdisc + anes$specfavr + anes$thard + anes$dless)
anes$rr_sc <- (anes$rr - 4)/16