library(foreign)
vsg.dat <- read.dta("./100_data/VOTER_Survey_December16_Release1.dta", convert.factors = F)

#---Demographics----
# Race
vsg.dat$white12 <- NA
vsg.dat$white12[which(vsg.dat$race_baseline == 1)] <- 1
vsg.dat$white12[which(vsg.dat$race_baseline != 1)] <- 0

# Age
vsg.dat$age_12 <- 2012 - vsg.dat$birthyr_baseline
vsg.dat$age_12_sc <- (vsg.dat$age_12-18)/73

vsg.dat$age_16 <- 2016 - vsg.dat$birthyr_baseline
vsg.dat$age_16_sc <- (vsg.dat$age_16-18)/73

# South
vsg.dat$south_12 <- NA
vsg.dat$south_12[which(vsg.dat$inputstate_baseline != 1 & vsg.dat$inputstate_baseline != 5 & vsg.dat$inputstate_baseline != 12 & vsg.dat$inputstate_baseline != 13 & vsg.dat$inputstate_baseline != 22 & vsg.dat$inputstate_baseline != 28 & vsg.dat$inputstate_baseline != 37 & vsg.dat$inputstate_baseline != 45 & vsg.dat$inputstate_baseline != 47 & vsg.dat$inputstate_baseline != 48 & vsg.dat$inputstate_baseline != 51)] <- 0
vsg.dat$south_12[which(vsg.dat$inputstate_baseline == 1 | vsg.dat$inputstate_baseline == 5 | vsg.dat$inputstate_baseline == 12 | vsg.dat$inputstate_baseline == 13| vsg.dat$inputstate_baseline == 22 | vsg.dat$inputstate_baseline == 28 | vsg.dat$inputstate_baseline == 37 | vsg.dat$inputstate_baseline == 45 | vsg.dat$inputstate_baseline == 47 | vsg.dat$inputstate_baseline == 48 | vsg.dat$inputstate_baseline == 51)] <- 1

vsg.dat$south_16 <- NA
vsg.dat$south_16[which(vsg.dat$inputstate_2016 != 1 & vsg.dat$inputstate_2016 != 5 & vsg.dat$inputstate_2016 != 12 & vsg.dat$inputstate_2016 != 13 & vsg.dat$inputstate_2016 != 22 & vsg.dat$inputstate_2016 != 28 & vsg.dat$inputstate_2016 != 37 & vsg.dat$inputstate_2016 != 45 & vsg.dat$inputstate_2016 != 47 & vsg.dat$inputstate_2016 != 48 & vsg.dat$inputstate_2016 != 51)] <- 0
vsg.dat$south_16[which(vsg.dat$inputstate_2016 == 1 | vsg.dat$inputstate_2016 == 5 | vsg.dat$inputstate_2016 == 12 | vsg.dat$inputstate_2016 == 13| vsg.dat$inputstate_2016 == 22 | vsg.dat$inputstate_2016 == 28 | vsg.dat$inputstate_2016 == 37 | vsg.dat$inputstate_2016 == 45 | vsg.dat$inputstate_2016 == 47 | vsg.dat$inputstate_2016 == 48 | vsg.dat$inputstate_2016 == 51)] <- 1

# Female
vsg.dat$fem <- vsg.dat$gender_baseline - 1

# Income 
vsg.dat$inc_12 <- NA
vsg.dat$inc_12[which(vsg.dat$faminc_baseline <= 11)] <- vsg.dat$faminc_baseline[which(vsg.dat$faminc_baseline <= 11)]
vsg.dat$inc_12[which(vsg.dat$faminc_baseline == 31)] <- 12
vsg.dat$inc_12.sc <- (vsg.dat$inc_12-1)/11
vsg.dat$inc_12.dk <- ifelse(vsg.dat$faminc_baseline == 97, 1, 0) # how to add?

vsg.dat$inc_16 <- NA
vsg.dat$inc_16[which(vsg.dat$faminc_2016 <= 16)] <- vsg.dat$faminc_2016[which(vsg.dat$faminc_2016 <= 16)]
vsg.dat$inc_16[which(vsg.dat$faminc_2016 == 31)] <- 17
vsg.dat$inc_16.sc <- (vsg.dat$inc_16-1)/16
vsg.dat$inc_16.dk <- ifelse(vsg.dat$faminc_2016 == 97, 1, 0)

# Education
vsg.dat$educ.12_sc <- NA
vsg.dat$educ.12_sc <- (vsg.dat$educ_baseline - 1)/5

vsg.dat$educ.16_sc <- NA
vsg.dat$educ.16_sc <- (vsg.dat$educ_2016 - 1)/5

vsg.dat$col_12 <- NA
vsg.dat$col_12[which(vsg.dat$educ_baseline >= 5)] <- 1
vsg.dat$col_12[which(vsg.dat$educ_baseline < 5)] <- 0

vsg.dat$col_16 <- NA
vsg.dat$col_16[which(vsg.dat$educ_2016 >= 5)] <- 1
vsg.dat$col_16[which(vsg.dat$educ_2016 < 5)] <- 0

#---Political Variables----
# PID
vsg.dat$pid7.12 <- ifelse(vsg.dat$pid7_baseline <= 7, vsg.dat$pid7_baseline, NA)
vsg.dat$pid7.12[which(vsg.dat$pid7_baseline == 8)] <- 4

vsg.dat$pid7_sc.12 <- (vsg.dat$pid7.12-1)/6


vsg.dat$pid7.16 <- ifelse(vsg.dat$pid7_2016 <= 7, vsg.dat$pid7_2016, NA)
vsg.dat$pid7.16[which(vsg.dat$pid7_2016 == 8)] <- 4

vsg.dat$pid7_sc.16 <- (vsg.dat$pid7.16-1)/6

vsg.dat$pid3.12 <- NA
vsg.dat$pid3.12[which(vsg.dat$pid7.12 < 4)] <- -1
vsg.dat$pid3.12[which(vsg.dat$pid7.12 == 4)] <- 0
vsg.dat$pid3.12[which(vsg.dat$pid7.12 > 4)] <- 1

vsg.dat$pid3.16 <- NA
vsg.dat$pid3.16[which(vsg.dat$pid7.16 < 4)] <- -1
vsg.dat$pid3.16[which(vsg.dat$pid7.16 == 4)] <- 0
vsg.dat$pid3.16[which(vsg.dat$pid7.16 > 4)] <- 1

# Ideo
vsg.dat$ideo5.r_12[which(vsg.dat$ideo5_baseline < 6)] <- vsg.dat$ideo5_baseline[which(vsg.dat$ideo5_baseline < 6)]
vsg.dat$ideo5.r_12[which(vsg.dat$ideo5_baseline ==  6)] <- 3
vsg.dat$ideo5.r_12.sc <- (vsg.dat$ideo5.r_12-1)/4

vsg.dat$ideo5.r_16[which(vsg.dat$ideo5_2016 < 6)] <- vsg.dat$ideo5_2016[which(vsg.dat$ideo5_2016 < 6)]
vsg.dat$ideo5.r_16[which(vsg.dat$ideo5_2016 ==  6)] <- 3
vsg.dat$ideo5.r_16.sc <- (vsg.dat$ideo5.r_16-1)/4

# Vote Choice
vsg.dat$rep_2pvote.12 <- NA
vsg.dat$rep_2pvote.12[which(vsg.dat$post_presvote12_2012 == 2)] <- 100
vsg.dat$rep_2pvote.12[which(vsg.dat$post_presvote12_2012 == 1)] <- 0

vsg.dat$rep_2pvote.16 <- NA
vsg.dat$rep_2pvote.16[which(vsg.dat$presvote16post_2016 == 2)] <- 100
vsg.dat$rep_2pvote.16[which(vsg.dat$presvote16post_2016 == 1)] <- 0

#---Racial Resentment----
vsg.dat$rr.deserve.12 <- NA
vsg.dat$rr.deserve.12 <- vsg.dat$race_deservemore_baseline

vsg.dat$rr.specfav.12 <- NA
vsg.dat$rr.specfav.12[which(vsg.dat$race_overcome_baseline == 5)] <- 1
vsg.dat$rr.specfav.12[which(vsg.dat$race_overcome_baseline == 4)] <- 2
vsg.dat$rr.specfav.12[which(vsg.dat$race_overcome_baseline == 3)] <- 3
vsg.dat$rr.specfav.12[which(vsg.dat$race_overcome_baseline == 2)] <- 4
vsg.dat$rr.specfav.12[which(vsg.dat$race_overcome_baseline == 1)] <- 5

vsg.dat$rr.thard.12 <- NA
vsg.dat$rr.thard.12[which(vsg.dat$race_tryharder_baseline == 5)] <- 1
vsg.dat$rr.thard.12[which(vsg.dat$race_tryharder_baseline == 4)] <- 2
vsg.dat$rr.thard.12[which(vsg.dat$race_tryharder_baseline == 3)] <- 3
vsg.dat$rr.thard.12[which(vsg.dat$race_tryharder_baseline == 2)] <- 4
vsg.dat$rr.thard.12[which(vsg.dat$race_tryharder_baseline == 1)] <- 5

vsg.dat$rr.pdisc.12 <- NA
vsg.dat$rr.pdisc.12 <- vsg.dat$race_slave_baseline

vsg.dat$rr.12 <- (vsg.dat$rr.deserve.12 + vsg.dat$rr.specfav.12 + vsg.dat$rr.thard.12 + vsg.dat$rr.pdisc.12)/4
vsg.dat$rr_sc.12 <- (vsg.dat$rr.12-1)/4

vsg.dat$rr.deserve.16 <- NA
vsg.dat$rr.deserve.16[which(vsg.dat$race_deservemore_2016 == 1)] <- 1
vsg.dat$rr.deserve.16[which(vsg.dat$race_deservemore_2016 == 2)] <- 2
vsg.dat$rr.deserve.16[which(vsg.dat$race_deservemore_2016 == 8)] <- 3
vsg.dat$rr.deserve.16[which(vsg.dat$race_deservemore_2016 == 3)] <- 4
vsg.dat$rr.deserve.16[which(vsg.dat$race_deservemore_2016 == 4)] <- 5

vsg.dat$rr.specfav.16 <- NA
vsg.dat$rr.specfav.16[which(vsg.dat$race_overcome_2016 == 4)] <- 1
vsg.dat$rr.specfav.16[which(vsg.dat$race_overcome_2016 == 3)] <- 2
vsg.dat$rr.specfav.16[which(vsg.dat$race_overcome_2016 == 8)] <- 3
vsg.dat$rr.specfav.16[which(vsg.dat$race_overcome_2016 == 2)] <- 4
vsg.dat$rr.specfav.16[which(vsg.dat$race_overcome_2016 == 1)] <- 5

vsg.dat$rr.thard.16 <- NA
vsg.dat$rr.thard.16[which(vsg.dat$race_tryharder_2016 == 4)] <- 1
vsg.dat$rr.thard.16[which(vsg.dat$race_tryharder_2016 == 3)] <- 2
vsg.dat$rr.thard.16[which(vsg.dat$race_tryharder_2016 == 8)] <- 3
vsg.dat$rr.thard.16[which(vsg.dat$race_tryharder_2016 == 2)] <- 4
vsg.dat$rr.thard.16[which(vsg.dat$race_tryharder_2016 == 1)] <- 5

vsg.dat$rr.pdisc.16 <- NA
vsg.dat$rr.pdisc.16[which(vsg.dat$race_slave_2016 == 1)] <- 1
vsg.dat$rr.pdisc.16[which(vsg.dat$race_slave_2016 == 2)] <- 2
vsg.dat$rr.pdisc.16[which(vsg.dat$race_slave_2016 == 8)] <- 3
vsg.dat$rr.pdisc.16[which(vsg.dat$race_slave_2016 == 3)] <- 4
vsg.dat$rr.pdisc.16[which(vsg.dat$race_slave_2016 == 4)] <- 5


vsg.dat$rr.16 <- (vsg.dat$rr.deserve.16 + vsg.dat$rr.specfav.16 + vsg.dat$rr.thard.16 + vsg.dat$rr.pdisc.16)/4
vsg.dat$rr_sc.16 <- (vsg.dat$rr.16-1)/4